POST api/lockapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "5b1b2a7e-3684-4208-9430-862f26015c30",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "bb1d227b-28a5-4418-894c-8ddcf6fe29a0",
"guard_id": "a19cb77f-d00a-42da-84e6-d7d2505fada9",
"active": true
}
application/xml, text/xml
Sample:
<lock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <direction>sample string 3</direction> <distribution_id>bb1d227b-28a5-4418-894c-8ddcf6fe29a0</distribution_id> <guard_id>a19cb77f-d00a-42da-84e6-d7d2505fada9</guard_id> <id>5b1b2a7e-3684-4208-9430-862f26015c30</id> <name>sample string 2</name> </lock>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"614dde90-2b97-44a7-9cfd-f2eb5b2c6fee"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">614dde90-2b97-44a7-9cfd-f2eb5b2c6fee</guid>